Skip to content
Start here

Delete App Config

DELETE/accounts/{account_id}/magic/sites/{site_id}/app_configs/{app_config_id}

Deletes specific App Config associated with a site.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic Transit Write
Path ParametersExpand Collapse
account_id: string

Identifier

maxLength32
site_id: string

Identifier

maxLength32
app_config_id: string

Identifier

maxLength32
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional { pointer }
pointer: optional string
result: { account_app_id, id, breakout, 3 more } or { managed_app_id, id, breakout, 3 more }

Traffic decision configuration for an app.

One of the following:
AccountApp { account_app_id, id, breakout, 3 more }
account_app_id: string

Magic account app ID.

id: optional string

Identifier

maxLength32
breakout: optional boolean

Whether to breakout traffic to the app’s endpoints directly. Null preserves default behavior.

preferred_wans: optional array of string

WAN interfaces to prefer over default WANs, highest-priority first. Can only be specified for breakout rules (breakout must be true).

priority: optional number

Priority of traffic. 0 is default, anything greater is prioritized. (Currently only 0 and 1 are supported)

maximum1
minimum0
site_id: optional string

Identifier

maxLength32
ManagedApp { managed_app_id, id, breakout, 3 more }
managed_app_id: string

Managed app ID.

id: optional string

Identifier

maxLength32
breakout: optional boolean

Whether to breakout traffic to the app’s endpoints directly. Null preserves default behavior.

preferred_wans: optional array of string

WAN interfaces to prefer over default WANs, highest-priority first. Can only be specified for breakout rules (breakout must be true).

priority: optional number

Priority of traffic. 0 is default, anything greater is prioritized. (Currently only 0 and 1 are supported)

maximum1
minimum0
site_id: optional string

Identifier

maxLength32
success: true

Whether the API call was successful

Delete App Config

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/magic/sites/$SITE_ID/app_configs/$APP_CONFIG_ID \
    -X DELETE \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "account_app_id": "ac60d3d0435248289d446cedd870bcf4",
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "breakout": true,
    "preferred_wans": [
      "023e105f4ecef8ad9ca31a8372d0c353"
    ],
    "priority": 0,
    "site_id": "023e105f4ecef8ad9ca31a8372d0c353"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "account_app_id": "ac60d3d0435248289d446cedd870bcf4",
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "breakout": true,
    "preferred_wans": [
      "023e105f4ecef8ad9ca31a8372d0c353"
    ],
    "priority": 0,
    "site_id": "023e105f4ecef8ad9ca31a8372d0c353"
  },
  "success": true
}